%define major	5
%define libname	%mklibname smb4kcore %{major}
%define devname	%mklibname smb4k -d

Name:		smb4k
Version:	2.0.0
Release:	%mkrel 1
Summary:	A KDE SMB share browser
License:	GPLv2+
Group:		Networking/Other
Url:		http://smb4k.sourceforge.net
Source:		http://downloads.sourceforge.net/smb4k/%{name}-%{version}.tar.xz
Patch0:		smb4k-2.0.0-CMakeLists.patch
BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5Auth)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5IconThemes)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5Completion)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5Solid)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5Notifications)
BuildRequires:	cmake(KF5XmlGui)
BuildRequires:	cmake(KF5JobWidgets)
BuildRequires:	cmake(KF5Wallet)
BuildRequires:	cmake(KF5DBusAddons)
BuildRequires:	cmake(KF5Parts)
BuildRequires:	cmake(KF5ConfigWidgets)
BuildRequires:	cmake(KF5WindowSystem)
BuildRequires:	cmake(KF5Plasma)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

Requires:	samba-client

%description
An SMB network and share browser for Plasma 5 or later.

%files -f %{name}.lang
%{_kf5_sysconfdir}/dbus-1/system.d/org.kde.%{name}.mounthelper.conf
%{_kf5_bindir}/%{name}*
%{_kf5_datadir}/kconf_update/*
%{_kf5_datadir}/dbus-1/system-services/org.kde.%{name}.mounthelper.service
%{_kf5_datadir}/polkit-1/actions/org.kde.%{name}.mounthelper.policy
%{_qt5_plugindir}/*.so
%{_libexecdir}/kauth/mounthelper
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_datadir}/config.kcfg/%{name}.kcfg
%{_kf5_datadir}/kxmlgui5/%{name}/
%{_kf5_knotificationsdir}/%{name}.notifyrc
%{_kf5_iconsdir}/*/*/*/*
%{_kf5_appdatadir}/org.kde.%{name}.appdata.xml

#------------------------------------------------

%package -n %{libname}
Summary:	SMB4K core library
Group:		System/Libraries

%description -n %{libname}
Library for %{name}.

%files -n %{libname}
%{_kf5_libdir}/libsmb4kcore.so.%{major}{,.*}

#------------------------------------------------

%package -n %{devname}
Summary:	SMB4K development files
Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	smb4k-devel < 1.2.2-2

%description -n %{devname}
Development files for applications that need %{name}.

%files -n %{devname}
%{_kf5_libdir}/libsmb4kcore.so

#------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -Wno-dev
%make_build

%install
%make_install -C build

%find_lang %{name} --with-html --all-name


%changelog
* Sat Mar 11 2017 daviddavid <daviddavid> 2.0.0-1.mga6
+ Revision: 1091951
- new version: 2.0.0 (first Qt5 and KF5 based version of Smb4K)

* Mon Feb 06 2017 daviddavid <daviddavid> 1.9.90-1.mga6
+ Revision: 1085044
- new version: 1.9.90 (second beta release of the upcoming KF5-based Smb4K 2.0)

* Wed Jan 11 2017 daviddavid <daviddavid> 1.9.80-1.mga6
+ Revision: 1081072
- new version: 1.9.80 (first beta release of the upcoming KF5-based Smb4K 2.0)
- port to Kf5/Qt5
- now libmajor is 5

* Mon Dec 12 2016 luigiwalser <luigiwalser> 1.2.2-1.mga6
+ Revision: 1074401
- 1.2.2

* Sat Dec 26 2015 luigiwalser <luigiwalser> 1.2.1-1.mga6
+ Revision: 915470
- 1.2.1

* Wed Oct 15 2014 umeabot <umeabot> 1.1.2-3.mga5
+ Revision: 742970
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.2-2.mga5
+ Revision: 689206
- Mageia 5 Mass Rebuild

* Wed Jun 04 2014 luigiwalser <luigiwalser> 1.1.2-1.mga5
+ Revision: 633266
- 1.1.2 (fixes CVE-2014-2581)

* Sat Oct 19 2013 umeabot <umeabot> 1.0.7-2.mga4
+ Revision: 524175
- Mageia 4 Mass Rebuild

* Wed May 29 2013 fwang <fwang> 1.0.7-1.mga4
+ Revision: 430459
- new version 1.0.7

* Mon Jan 14 2013 umeabot <umeabot> 1.0.4-2.mga3
+ Revision: 382195
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 fwang <fwang> 1.0.4-1.mga3
+ Revision: 288734
- new version 1.0.4

* Mon Jun 25 2012 fwang <fwang> 1.0.3-1.mga3
+ Revision: 263417
- new version 1.0.3

* Fri Jun 01 2012 fwang <fwang> 1.0.2-1.mga3
+ Revision: 252660
- new version 1.0.2

* Sun Feb 05 2012 fwang <fwang> 1.0.0-1.mga2
+ Revision: 205060
- new version 1.0.0

* Tue Jan 24 2012 fwang <fwang> 0.10.92-1.mga2
+ Revision: 200527
- new version 0.10.92

* Wed Nov 16 2011 fwang <fwang> 0.10.90-1.mga2
+ Revision: 168087
- update file list
- new version 0.10.90

  + ze <ze>
    - version 0.10.71 (1.0.0 beta2)

* Fri Jul 08 2011 ze <ze> 0.10.70-1.mga2
+ Revision: 120037
- 0.10.70
- remove explicite requires since they already are handled internally
- put lib macro in top to be able to add explicite require to version in main package
- set requires to version only since this is an oficial release
- remove too old obsolete entries that are no longer in use
- imported package smb4k

